Bug 1194105 - spe has UI issues with wxPython 3 in F22/Rawhide
Summary: spe has UI issues with wxPython 3 in F22/Rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: spe
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 02:04 UTC by Scott Talbert
Modified: 2016-09-01 12:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-01 12:59:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Scott Talbert 2015-02-19 02:04:30 UTC
In F22/Rawhide, wxPython has been updated to version 3.0.  Unfortunately, this results in some issues for spe:

1) Preferences window doesn't open
2) Menu buttons are double the height they should be
3) Can't resize the bottom window to access those controls

Debian has patched their version of spe.  It is possible this patch might address some of these issues:
https://sources.debian.net/data/main/s/spe/0.8.4.h-3.1/debian/patches/wxpython3.0.patch

Comment 1 Fedora End Of Life 2016-07-19 12:49:35 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Jan Kurik 2016-07-26 04:34:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Sergio Basto 2016-08-31 23:22:55 UTC
I had looking for spe homepage , 

https://sourceforge.net/p/spe/bugs/
https://sourceforge.net/projects/python.berlios/files/?source=navbar
https://pythonide.blogspot.pt/

latest update is 2010 , latest source is 2008 , maybe is time to retire this package, also we have lots of python editors

Comment 4 Gwyn Ciesla 2016-09-01 12:47:13 UTC
Agreed.  I'll take care of it.

Comment 5 Fedora Admin XMLRPC Client 2016-09-01 12:50:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.